# FileContents

interface FileContents

Provides lazy access to the contents of a given file.

#### Since

6.1

## Functions

getAsBytes
Link copied to clipboard
abstract fun getAsBytes(): Provider<Array<Byte>>
Gets a provider of the entire file contents as a single byte array.
getAsText
Link copied to clipboard
abstract fun getAsText(): Provider<String>
Gets a provider of the entire file contents as a single String.